import { KeyType, Type } from '@mobicoop/configuration-module';
import { IsStrongPasswordOptions } from 'class-validator';

export const STRONG_PASSWORD_OPTIONS: IsStrongPasswordOptions = {
  minLength: 8,
  minLowercase: 1,
  minNumbers: 1,
  minSymbols: 1,
  minUppercase: 1,
};

export const AUTH_CONFIG_ENCRYPTION_ALGORITHM = 'encryptionAlgorithm';
export const AuthKeyTypes: KeyType[] = [
  {
    key: AUTH_CONFIG_ENCRYPTION_ALGORITHM,
    type: Type.STRING,
  },
];
