import { Type } from '@modules/authentication/core/domain/username.types';
import { IsEnum, IsNotEmpty, IsString } from 'class-validator';
import { IsValidUsername } from './validators/decorators/is-valid-username.decorator';

export class UsernameDto {
  @IsString()
  @IsNotEmpty()
  @IsValidUsername({
    message: 'Invalid username',
  })
  name: string;

  @IsEnum(Type)
  @IsNotEmpty()
  type: Type;
}
